Subject: Re: [PATCH -next] soc: sgtl5000 uses regulator interfaces

From: Randy Dunlap <[email-masked]>
Date: Tue, 15 Mar 2011 08:41:17 -0700

On Sat, 5 Mar 2011 20:41:38 +0800 Zeng Zhaoming wrote:

> On Sat, Mar 5, 2011 at 7:29 PM, Mark Brown
> <[email-masked]> wrote:
> > On Fri, Mar 04, 2011 at 05:33:57PM -0800, Randy Dunlap wrote:
> >> From: Randy Dunlap <[email-masked]>
> >>
> >> sgtl5000 uses regulator interfaces, so make selecting it depend
> >> on REGULATOR.
> >>
> >> sgtl5000.c:(.text+0x4ae33): undefined reference to `regulator_unregister'
> >> sgtl5000.c:(.text+0x4af41): undefined reference to `rdev_get_drvdata'
> >> sgtl5000.c:(.text+0x4b191): undefined reference to `regulator_register'
> >
> 
> hi， Thanks for the report.
> 
> > Since the regulator on the device is optional this isn't the best fix,
> > the code should be updated to support building without regulator.
> 
> I will fix the code. If regulator not enabled, and the optional
> regulator not provided externally,
> a warning message will print out, and internal regulator will set
> directly by write register.
> > --

ping.  This build error still happens in linux-next 2011.0315.

---
~Randy
*** Remember to use Documentation/SubmitChecklist when testing your code ***
_______________________________________________
Alsa-devel mailing list
[email-masked]
http://mailman.alsa-project.org/mailman/listinfo/alsa-devel